[Up: Implementation Overview]
[Previous: ORB] [Next: BOA]

#
Interface Repository

The interface repository is implemented by a separate program (`ird`). The idea is to run one instance of the program and make all MICO applications use the same interface repository. As has been mentioned in section 4.1.2 the command line option `-ORBIfaceRepoAddr` can be used to tell a MICO application which interface repository to use. But where to get the address of the `ird` program from? The solution is to tell `ird` an address it should bind to by using the `-ORBIIOPAddr`. Here is an example of how to run `ird`:

      ird -ORBIIOPAddr inet:<ird-host-name>:8888

where `<ird-host-name>` should be replaced by the name of the host `ird` is executed. Afterwards you can run MICO applications this way:

      some_mico_application -ORBIfaceRepoAddr inet:<ird-host-name>:8888

To avoid typing in such long command lines you can put the option into the file `.micorc` in your home directory:

      echo -ORBIfaceRepoAddr inet:<ird-host-name>:8888 > ~/.micorc

Now you can just type:

      some_mico_application

and `some_mico_application` will still use the `ird`'s interface repository.

`ird` can be controlled by the following command line arguments:

`-help`
  Show a list of all supported command line arguments and exit.
`-db <database file>`
  Specifies the file name where `ird` should save the contents of the interface repository when exiting4.3. When `ird` is restarted afterwards it will read the file given by the `--db` option to restore the contents of the interface repository. Notice that the contents of this database file is just plain ASCII representing a CORBA IDL specification.

[Previous: ORB] [Next: BOA]
[Up: Implementation Overview]